The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги ]

21.06.2017 09:53  Выпуск генератора файлов сборки GNU Automake 1.15.1

Сформирован релиз Automake 1.15.1, утилиты для автоматической генерации make-файлов, соответствующих стандартам кодирования проекта GNU. Выпуск подготовлен спустя два с половиной года с момента прошлого выпуска и после почти полутора лет остановки разработки GNU Automake. В качестве ключевой цели выпуска отмечается устранение отображения предупреждений, связанных с переводом в разряд устаревших некоторых возможностей Perl и gzip. В скрипте compile по аналогии с Microsoft C Compiler добавлена поддержка Windows-версии компилятора icс (Intel C Compiler).

В примечании к выпуску GNU Automake 1.15.1 также включено уведомление о ряде нарушений совместимости в будущей ветке Automake 2.0, разработка которой последние годы находилась в заброшенном состоянии. Например, работа Automake 2.0 будет возможна только вкупе с пакетом Autoconf 2.70+. Будет прекращена поддержка имени 'configure.in' в качестве входного файла для Autoconf, скрипты будут рассчитаны на работу с POSIX shell, все внешние m4-файлы (в директориях $ACLOCAL_PATH и aclocal) будут иметь более высокий приоритет по сравнению со встроенными макросами. Будет удалена поддержка MS-DOS и Windows 95/98/ME.

  1. Главная ссылка к новости (http://lists.gnu.org/archive/h...)
  2. OpenNews: Выпуск генератора файлов сборки GNU Automake 1.15
Лицензия: CC-BY
Тип: Программы
Ключевые слова: automake, make
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Линейный вид | Ajax | Показать все | RSS
 
  • 1.1, Аноним, 10:56, 21/06/2017 [ответить] [смотреть все]
  • –5 +/
    Зачем Ну вот Как теперь свежий LibreOffice под него собирать... весь текст скрыт [показать]
     
     
  • 2.2, Аноним, 11:01, 21/06/2017 [^] [ответить] [смотреть все]  
  • +2 +/
    пока ещё можно
     
  • 2.3, Аноним, 14:23, 21/06/2017 [^] [ответить] [смотреть все]  
  • +/
    autoreconf со старой версией выполнить... весь текст скрыт [показать]
     
  • 2.4, Аноним Анонимович Анонимов, 15:23, 21/06/2017 [^] [ответить] [смотреть все]  
  • +7 +/
    Вы забыли написать

    >Ну вот, теперь на ХР обновляться :(

     
  • 1.5, Аноним, 18:07, 21/06/2017 [ответить] [смотреть все]  
  • –6 +/
    Лучше бы разработку совсем прекратили вместе в autoconf ... весь текст скрыт [показать]
     
     
  • 2.6, Аноним, 18:09, 21/06/2017 [^] [ответить] [смотреть все]  
  • –3 +/
    * вместе с autoconf
     
  • 2.7, Вы забыли заполнить поле Name, 18:23, 21/06/2017 [^] [ответить] [смотреть все]  
  • +4 +/
    Лучше бы ты прекратил писать глупые комментарии.
     
     
  • 3.8, Аноним, 19:05, 21/06/2017 [^] [ответить] [смотреть все]  
  • –3 +/
    Когда новые версии выходят - это хорошо, но на самом деле вполне возможно, что ж... весь текст скрыт [показать]
     
     
  • 4.10, Аноним, 20:06, 21/06/2017 [^] [ответить] [смотреть все]  
  • +/
    На вкус и цвет С autotools я смог разобраться, а CMake вот не осилил - он мне п... весь текст скрыт [показать]
     
     
  • 5.11, Аноним, 08:02, 22/06/2017 [^] [ответить] [смотреть все]  
  • –1 +/
    В моём случае наоборот было По работе пишу проект с cmake, но контрибьютил в пр... весь текст скрыт [показать]
     
     
  • 6.12, Anonim, 12:46, 22/06/2017 [^] [ответить] [смотреть все]  
  • +3 +/
    Расскажите, какие флаги включает cmake для поддержки многопоточности в HP-UX, или AIX. Расскажите, как собрать cmake под zOS.
    Я это всё к тому, что cmake - это генератор Makefile-ов для linux и windows, и ничего больше. Все остальные ОСи для него - экзотика, которую он либо вообще не поддерживает, либо делает так, что лучше бы и не пытался.
     
  • 3.9, анонимус, 19:22, 21/06/2017 [^] [ответить] [смотреть все]  
  • –2 +/
    Autoconf -- зоопарк несовместимых версий, и если собираешь разнообразный софт, приходится держать их все. Каждый новый мажорный релиз заставляет держать ещё одну версию, не давая существенных преимуществ пишущим конфиги. Autoconf сложнее аналогов и пользуются им только по привычке.

    Если в 2.0 исправят положение, будет прекрасно, но особо в это не верится. И даже в этом случае останется зоопарк легаси.

     
     
  • 4.13, yet another anonymous, 14:00, 22/06/2017 [^] [ответить] [смотреть все]  
  • +/
    > Autoconf -- зоопарк несовместимых версий, ...
    > Если в 2.0 исправят положение, ...

    Судя по тексту, в 2.0 продолжат в сем достойном стиле, усугубляя несовместимый зоопарк.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2017 by Maxim Chirkov  
    ДобавитьРекламаВебмастеруГИД  
    Hosting by Ihor